Bug 779663 - (SOA-2029) JmsConnectionPool performs JNDI lookup for connection factory every time it obtains a session
JmsConnectionPool performs JNDI lookup for connection factory every time it o...
Status: CLOSED NEXTRELEASE
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.0.0 GA
Unspecified Unspecified
high Severity high
: ---
: 5.0.2
Assigned To: Kevin Conner
http://jira.jboss.org/jira/browse/SOA...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-06 08:59 EDT by Kevin Conner
Modified: 2010-06-11 02:17 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-31 05:07:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SOA-2029 None None None Never

  None (edit)
Description Kevin Conner 2010-04-06 08:59:35 EDT
Date of First Response: 2010-05-31 05:07:40
project_key: SOA
Comment 1 Kevin Conner 2010-04-06 08:59:59 EDT
Link: Added: This issue depends JBESB-3265
Comment 2 Kevin Conner 2010-04-26 05:04:08 EDT
Updated in ESB, will be in next merge.
Comment 3 Jiri Pechanec 2010-05-31 05:07:40 EDT
Verified in CR1 sources
Comment 4 Darrin Mison 2010-06-07 23:46:32 EDT
More information need for release notes:

I assume that this is a performance related issue.  Under what circumstances will the JNDI lookup be performed now ?
Comment 5 Kevin Conner 2010-06-08 06:05:39 EDT
Yes, this is performance related.

The code previously performed a JNDI lookup of the connection factory for every session retrieved from the pool.  It should now only do a lookup when the connection factory has to be discovered, which is the first access or when the connection is in error.
Comment 6 Darrin Mison 2010-06-11 02:17:30 EDT
Added to the SOA 5.0.2 release notes as resolved:

JBESB-3265 

JmsConnectionPool was performing a JNDI lookup of the connection factory for every session obtained from the connection pool.  This lookup is now only done when the connection factory is first accessed or when the connection returns an error.  This provides faster performance.




Note You need to log in before you can comment on or make changes to this bug.